# $Revision: 1.43 $, $Date: 2007/11/04 18:07:11 $
#
# Conditional build:
%bcond_without	ipv6	# IPv6 support (must match same bcond from apache1-devel)
#
%include	/usr/lib/rpm/macros.perl
%define		mod_name	perl
%define 	apxs	/usr/sbin/apxs1
Summary:	A Perl interpreter for the Apache Web server
Summary(cs.UTF-8):	Vestavěný interpret Perlu pro WWW server Apache
Summary(da.UTF-8):	En indbygget Perl-fortolker for webtjeneren Apache
Summary(de.UTF-8):	Ein eingebetteter Perl-Interpreter für den Apache Web-Server
Summary(es.UTF-8):	Intérprete Perl para el servidor Web Apache
Summary(fr.UTF-8):	Interpréteur Perl intégré pour le serveur Web Apache
Summary(id.UTF-8):	Interpreter Perl untuk web server Apache
Summary(is.UTF-8):	Perl túlkur fyrir Apache vefþjóninn
Summary(it.UTF-8):	Interprete Perl integrato per il server Web Apache
Summary(ja.UTF-8):	Apache Web サーバー用の組込み Perl インタープリタ
Summary(nb.UTF-8):	En Perl-fortolker for webtjeneren Apache
Summary(pl.UTF-8):	Interpreter Perla dla serwera WWW Apache
Summary(pt.UTF-8):	Um interpretador de Perl embebido para o servidor Web Apache
Summary(ru.UTF-8):	Встроенный интерпретатор Perl для WWW-сервера Apache
Summary(sk.UTF-8):	Interpreter jazyka Perl pre webový server Apache
Summary(sl.UTF-8):	Vključeni perlovski tolmač za spletni strežnik Apache
Summary(sv.UTF-8):	En inbyggd Perl-interpretator för webbservern Apache
Summary(uk.UTF-8):	Модуль вбудовування інтерпретатора Perl в сервер Apache
Summary(zh_CN.UTF-8):	用于 Apache web 服务程序的 Perl 解释程序。
Name:		apache1-mod_perl
Version:	1.30
Release:	1
License:	Apache v1.1
Group:		Networking/Daemons
Source0:	http://perl.apache.org/dist/mod_perl-%{version}.tar.gz
# Source0-md5:	bfd6f6cff1ab1cc3dbb58a236701d169
Patch0:		apache-perl-rh.patch
# from ftp://ftp.kddlabs.co.jp/Linux/packages/Kondara/pub/Jirai/
Patch1:		mod_perl-v6.patch
Patch2:		%{name}-optimize.patch
URL:		http://perl.apache.org/
%{?with_ipv6:BuildRequires:	apache1(ipv6)-devel}
BuildRequires:	apache1-devel >= 1.3.39-2
BuildRequires:	perl-B-Graph
BuildRequires:	perl-BSD-Resource
BuildRequires:	perl-Devel-Symdump
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-URI
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-libwww
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	sed >= 4.0
Requires:	apache1(EAPI)
Requires:	perl(DynaLoader) = %(%{__perl} -MDynaLoader -e 'print DynaLoader->VERSION')
Provides:	apache(mod_perl)
Obsoletes:	mod_perl
Obsoletes:	mod_perl-common
%{!?with_ipv6:Conflicts:	apache1(ipv6)}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)
%define		_noautoreqdep	'perl(Apache::.*)' 'perl(mod_perl)'
%define		_manualdocdir	%{_datadir}/apache1-manual

%description
Mod_perl incorporates a Perl interpreter into the Apache web server,
so that the Apache web server can directly execute Perl code. Mod_perl
links the Perl runtime library into the Apache web server and provides
an object-oriented Perl interface for Apache's C language API. The end
result is a quicker CGI script turnaround process, since no external
Perl interpreter has to be started.

%description -l cs.UTF-8
Modul mod_perl začleňuje interpret Perlu do WWW serveru Apache, takže
WWW server může přímo provádět programy v Perlu. Mod_perl připojuje
běhovou knihovnu Perlu do Apache WWW serveru a poskytuje objektově
orientované perlovské rozhraní pro API serveru Apache. Výsledkem je
rychlejší start CGI skriptů, protože nemusí být startován externí
interpret Perlu.

%description -l de.UTF-8
Mod_perl integriert einen Perl-Interpreter in den Apache Web-Server,
so dass dieser Perl-Code direkt ausführen kann. Das Programm verknüpft
die Perl-Runtime-Bibliothek mit dem Apache Web-Sever und stellt eine
objektorientierte Perl-Benutzeroberfläche für die C-API des
Apache-Servers bereit. Das Resultat ist eine schnellere Ausführung von
CGI-Skripten, da kein externer Perl-Interpreter gestartet werden muss.

%description -l es.UTF-8
Mod_perl incluye un intérprete Perl en el servidor Apache, de manera
que se puede ejecutar el código Perl directamente desde el servidor
Web. Mod_perl enumera las bibliotecas runtime del Perl al Web servidor
Apache y proporciona una interfaz Perl object-oriented para las API
del lenguaje C. De tal modo que se obtiene una ejecución más rápida de
los script CGI sin necesidad de apoyarse en un intérprete Perl.

%description -l fr.UTF-8
Mod_perl incorpore un interpréteur Perl dans le serveur Web Apache, de
manière à ce que le serveur Web Apache puisse exécuter directement du
code Perl. Mod_perl lie la bibliothèque d'exécution Perl au serveur
Web Apache et fournit une interface Perl orientée objet pour l'API en
langage C d'Apache. Le résultat final est une exécution des scripts
CGI plus rapide, du fait qu'aucun interpréteur Perl externe ne doit
être démarré.

%description -l id.UTF-8
Mod_perl memasukkan interpreter Perl ke dalam web server Apache,
sehingga Apache dapat secara langsung menjalankan kode Perl. Mod_perl
me-link runtime library Perl ke dalam web server Apache dan
menyediakan antarmuka Perl yang object-oriented untuk API Apache yang
ditulis dalam C. Hasilnya, respon proses CGI lebih cepat, karena tidak
perlu lagi menjalankan interpreter Perl eksternal.

%description -l is.UTF-8
Mod_perl vinnur með perl á Apache vefþjóninum svo að Apache geti beint
keyrt Perl kóða. Mod_perl tengir Perl keyrslu söfnin við Apache
vefþjóninn og býður upp á hlutbundið Perl fyrir Apache C
forritunarmáls API. Það sem græðist er Hraðari CGI scriptur þar sem
það er engar úttengd Perl köll.

%description -l it.UTF-8
Mod_perl incorpora un interprete Perl nel server web Apache, in modo
che quest'ultimo possa eseguire direttamente il codice Perl. Mod_perl
collega la libreria runtime di Perl al server web Apache e fornisce
un'interfaccia Perl orientata all'oggetto per le API in linguaggio C
di Apache. In tal modo si velocizza il processo di turnaround degli
script CGI, poiché non è più necessario appoggiarsi ad un interprete
Perl esterno.

%description -l ja.UTF-8
mod_perl は、Apache Web サーバーが直接 Perl コードを実行できるように、
Perl インタープリタを Apache Web サーバーに組み込みます。mod_perl は、
Perl のランタイムライブラリを Apache Web サーバーにリンクさせ、Apache
の C 言語 API 用のオブジェクト指向の Perl インターフェイスを提供
します。その結果、外部の Perl インタープリタが起動する必要がないため、
CGI スクリプトのターンアラウンドプロセスが速くなります。

%description -l pl.UTF-8
Mod_perl jest modułem, który wyposaża serwer Apache w interpreter
Perla, umożliwiając w ten sposób bezpośrednie wykonywanie kodu Perla
przez serwer bez potrzeby angażowania zewnętrznego interpretera, co
przyspiesza procesy związane z uruchamianiem skryptów CGI.

%description -l pt.UTF-8
O mod_perl incorpora um interpretador de Perl no servidor Web Apache,
para que assim o servidor Web Apache possa executar directamente
código em Perl. O mod_perl associa a biblioteca de execução do Perl
com o servidor Web Apache e oferece uma interface orientada por
objectos do Perl para a API de C do Apache. O resultado final é um
processo de torneamento dos 'scripts' CGI mais rápido, dado que não
tem que se iniciar um interpretador de Perl externo.

%description -l ru.UTF-8
Mod_perl встраивает Perl-интрепретатор в WWW-сервер Apache, так что
этот сервер может напрямую работать с кодом Perl. Mod_perl связывает
библиотеку реального времени Perl с сервером Apache и содержит
объектно-ориентированный интерфейс Perl API языка Apache C. Конечный
результат - ускоренная работа со скриптами CGI.

%description -l sk.UTF-8
Mod_perl začleňuje interpreter Perlu do webového servera Apache;
server Apache potom môže priamo vykonávať príkazy Perlu. Mod_perl
zlinkuje knižnicu Perlu s webovým serverom Apache a poskytne tak
objektovo orietované rozhranie Perlu pre aplikačné rozhranie servera
Apache v jazyku C. Výsledkom je rýchlejšie vykonanie CGI skriptu, bez
akéhokoľvek spustenia externého interpretera jazyka Perl.

%description -l sv.UTF-8
Mod_perl införlivar en Perl-interpretator i webbservern Apache, så att
webbervern Apach kan köra Perl-kod direkt. Mod_perl länkar in Perls
körtidsbibliotek i webbservern Apache och ger ett objektorienterat
Perl-gränssnitt till Apaches API i språket C. Slutresultatet är en
snabbare processomsättning av CGI-skript, eftersom ingen extern
Perl-interpretator behöver startas.

%description -l uk.UTF-8
Проект інтеграції Apache та Perl дозволяє вам використовувати всю
потужність мови програмування Perl та web-серверу Apache. Це
досягається шляхом вбудовування бібліотек Perl всередину сервера
Apache через DSO та надання об'єктно-орієнтованих Perl-бібліотек для
доступу до Apache API.

Це досягається за допомогою mod_perl'а, котрий дозволяє створювати
модулі для Apache безпосередньо на мові Perl. Крім цього, це дозволяє
уникнути накладних витрат на завантаження інтерпретатора Perl при
обробці кожного запиту.

%description -l zh_CN.UTF-8
Mod_perl 将 Perl 解释程序与 Apache web 服务程序结合在一起，
以便后者可以直接执行 Perl 代码。 Mod_perl 将 Perl 运行时间程序库链接至
Apache web 服务程序， 并为 Apache 的 C 语言 API 提供面向对象的 Perl
接口。 由于不必启动任何外部 Perl 解释程序，因此会使 CGI
脚本回转过程更为快速。

%package -n perl-mod_perl1
Summary:	Perl APIs for mod_perl
Summary(pl.UTF-8):	Perlowe API dla mod_perla
Group:		Development/Languages/Perl

%description -n perl-mod_perl1
Perl APIs for mod_perl.

%description -n perl-mod_perl1 -l pl.UTF-8
Perlowe API dla mod_perl.

%package -n perl-mod_perl1-devel
Summary:	Files needed for building XS modules that use mod_perl
Summary(pl.UTF-8):	Pliki potrzebne do budowania modułów XS korzystających z mod_perla
Group:		Development/Libraries
Requires:	apache1-devel
Requires:	perl-mod_perl1 = %{version}-%{release}
Obsoletes:	apache1-mod_perl-devel

%description -n perl-mod_perl1-devel
The apache1-mod_perl-devel package contains the files needed for
building XS modules that use mod_perl.

%description -n perl-mod_perl1-devel -l pl.UTF-8
Ten pakiet zawiera pliki potrzebne do budowania modułów XS
korzystających z mod_perla.

%package doc
Summary:	mod_perl documentation
Summary(pl.UTF_8):	Dokumentacja do mod_perla
Group:		Documentation
Requires:	apache1-doc

%description doc
mod_perl online documentation.

%description doc -l pl.UTF-8
Dokumentacja do mod_perla dostępna przez Apache'a.

%prep
%setup -q -n mod_perl-%{version}
%patch0 -p1
%{?with_ipv6:%patch1 -p1}
%patch2 -p1

%build
%{__perl} Makefile.PL \
	USE_APXS=1 \
	WITH_APXS=%{apxs} \
	EVERYTHING=1 \
	PERL_STACKED_HANDLERS=1 \
	OPTIMIZE="%{rpmcflags}" \
	INSTALLDIRS=vendor

ln -s ../src/modules apaci/modules
chmod +x apaci/find_source

%{__make} \
	OPTIMIZE="%{rpmcflags}"
%{__make} -C faq

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d,%{_manualdocdir}/mod}

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install apaci/libperl.so $RPM_BUILD_ROOT%{_pkglibdir}
install htdocs/manual/mod/mod_perl.html \
	$RPM_BUILD_ROOT%{_manualdocdir}/mod

echo 'LoadModule %{mod_name}_module	modules/lib%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

# clean known unpackaged files
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/*.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Bundle/Apache.pm
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/mod_%{mod_name}/.packlist
rm -f $RPM_BUILD_ROOT%{_mandir}/man3/Bundle::Apache.3pm*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- apache1-mod_%{mod_name} < 1.29-7.1
# check that they're not using old apache.conf
if grep -q '^Include conf\.d' /etc/apache/apache.conf; then
	%{__sed} -i -e '/^\(Add\|Load\)Module.*libperl\.\(so\|c\)/d' /etc/apache/apache.conf
fi

%files
%defattr(644,root,root,755)
%doc CREDITS Changes INSTALL LICENSE README STATUS SUPPORT faq/*.html faq/*.txt apache-modlist.html eg
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/libperl.so

%files doc
%defattr(644,root,root,755)
%{_manualdocdir}/mod/mod_perl.html

%files -n perl-mod_perl1
%defattr(644,root,root,755)
%{perl_vendorarch}/Apache.pm
%{perl_vendorarch}/mod_perl*.pm
%{perl_vendorarch}/mod_perl_hooks.pm.PL
%dir %{perl_vendorarch}/Apache
%{perl_vendorarch}/Apache/*.pm
%{perl_vendorarch}/Apache/Constants
%dir %{perl_vendorarch}/auto/Apache
%dir %{perl_vendorarch}/auto/Apache/Leak
%{perl_vendorarch}/auto/Apache/Leak/Leak.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Apache/Leak/Leak.so
%dir %{perl_vendorarch}/auto/Apache/Symbol
%{perl_vendorarch}/auto/Apache/Symbol/Symbol.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Apache/Symbol/Symbol.so
%{_mandir}/man3/Apache*.3pm*
%{_mandir}/man3/cgi_to_mod_perl.3pm*
%{_mandir}/man3/mod_perl*.3pm*

%files -n perl-mod_perl1-devel
%defattr(644,root,root,755)
%{perl_vendorarch}/auto/Apache/typemap
%{perl_vendorarch}/auto/Apache/mod_perl.exp
%{perl_vendorarch}/auto/Apache/include

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_perl.spec,v $
Revision 1.43  2007/11/04 18:07:11  qboosh
- updated to 1.30 (fixes CVE-2007-1349)
- separated -doc (which requires apache1-doc)
- -devel renamed to perl-mod_perl1-devel (as it is for perl, not apache)
- License is Apache v1.1, not GPL

Revision 1.42  2007/06/07 11:11:00  shadzik
- BR s@%{apxs}@apache1-apxs@g

Revision 1.41  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.40  2007/02/12 00:48:37  baggins
- converted to UTF-8

Revision 1.39  2006/12/28 10:46:25  glen
- do not require metapackage apache1; rel 14

Revision 1.38  2006/05/19 09:07:19  qboosh
- pl summary for perl-

Revision 1.37  2006/05/03 20:16:31  glen
- rel 13

Revision 1.36  2006/05/02 23:44:40  glen
- splitting perl-mod_perl1 so that apache1 is not needed on builders

Revision 1.35  2006/05/02 22:46:00  glen
- plain apache require (it's internals will never change anymore), rel 12

Revision 1.34  2006/04/14 17:03:25  glen
- use %service

Revision 1.33  2006/02/27 14:48:48  glen
- drop P: perl(mod_perl_hooks)

Revision 1.32  2006/01/25 11:40:30  qboosh
- pl for -devel

Revision 1.31  2006/01/15 11:52:19  glen
- rel 11

Revision 1.30  2006/01/03 12:55:33  glen
- avoid apxs dep

Revision 1.29  2005/12/29 19:32:50  glen
- correct last changelog
- added -devel package

Revision 1.28  2005/12/29 19:29:35  glen
- fix mod_perl.html document location
- remove Provides: mod_perl (no PLD package uses it)
- drop Obsoletes: perl-Apache-Test as it's not clear why it's needed
  and it causes apache2 mod_perl being obsoleted with each this
  mod_perl package upgrade
- fix (activate) apache ipv6 dep
- please test

Revision 1.27  2005/12/25 23:22:14  glen
- Provide apache(mod_perl)
- sort preamble; rel 10

Revision 1.26  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.25  2005/02/28 22:35:21  glen
- rel 9; STBR

Revision 1.24  2005/02/28 22:29:50  glen
- builder sux

Revision 1.23  2005/02/24 18:11:54  glen
- rel 8; STBR

Revision 1.22  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.21  2005/02/10 01:49:35  glen
- confdir enabled apache1
- added ipv6 bcond
- unify: apache1(EAPI)-devel -> apache1-devel
- remove known unpackaged files

Revision 1.20  2004/11/28 12:47:29  radek
- release 6: changed req_eq perl-base to strict DynaLoader req

Revision 1.19  2004/11/20 15:34:29  radek
- release 6: requires_eq perl-base

Revision 1.18  2004/10/29 09:02:00  paladine
- "HTTP" unification

Revision 1.17  2004/10/25 11:47:23  paladine
- "Perl" unifications

Revision 1.16  2004/08/20 20:01:14  areq
- rebuild Release: 5

Revision 1.15  2004/05/11 22:07:20  ankry
- kill unnecessary %requires_eq perl-base, rel. 4

Revision 1.14  2004/05/09 05:31:53  ankry
- BR fixes, rel. 3

Revision 1.13  2004/05/04 22:46:47  ankry
- fixed _noautoreqdep

Revision 1.12  2004/05/04 21:39:59  ankry
- O: perl-Apache-Test, _noautoreqdep

Revision 1.11  2004/04/22 22:33:11  ankry
- BR: apache1-devel, not apache-devel

Revision 1.10  2004/04/22 22:30:18  ankry
- BR: apache-devel >= 1.3.29-4

Revision 1.9  2004/04/01 19:30:02  areq
- s/httpd/apache/
- use apxs1

Revision 1.8  2004/02/18 15:10:25  qboosh
- s/no/nb/ in Summary langs

Revision 1.7  2003/11/23 12:49:24  radek
- release 2: requires_eq apache1 and perl-base

Revision 1.6  2003/11/21 16:06:35  radek
- added -optimize patch to make it --debug friendly
- don't BR:perl, used perl-devel instead; sorted BR's
- use the __perl macro
- killed one subshell

Revision 1.5  2003/10/23 23:33:43  qboosh
- updated to 1.29

Revision 1.3  2003/05/26 16:24:25  malekith
- massive attack: adding Source-md5

Revision 1.2  2003/05/25 05:45:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/04/03 08:18:34  qboosh
- last version for apache 1.x - just changed Name

Revision 1.33  2003/03/17 21:59:34  qboosh
- release 3: updates for perl 5.8.0
- removed BR: gdbm-devel (needed only when libperl is linked with -lgdbm)

Revision 1.32  2003/03/05 20:05:33  migo
- added URL:

Revision 1.31  2002/09/02 14:53:46  kloczek
- release 2.

Revision 1.30  2002/09/01 21:58:40  qboosh
- more specific Requires, removed one subshell

Revision 1.29  2002/09/01 17:32:30  radek
- version 1.27
- STBR

Revision 1.28  2002/08/13 15:06:22  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.27  2002/07/24 00:12:37  ankry
- removed .packlist
- release 9

Revision 1.26  2002/07/18 23:50:56  ankry
- moved %{perl_sitelib}/Apache to perl again
- release 8

Revision 1.25  2002/07/16 23:12:20  ankry
- added some dirs (from perl)
- cleaning
- release 7

Revision 1.24  2002/06/17 06:29:39  kloczek
- release 6,
- fix %postun: on remove package restart (not stop) apache.

Revision 1.23  2002/05/30 11:11:32  kloczek
- use new %doc.

Revision 1.22  2002/04/25 15:46:27  arturs
- fixed a small typo

Revision 1.21  2002/04/12 14:36:59  wiget
- add missing files (but double check if some file are still missing), release 5

Revision 1.20  2002/02/23 01:23:23  kloczek
- adapterized.

Revision 1.19  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/17 21:09:11  ankry
- release 4

Revision 1.17  2002/02/17 19:01:42  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache

Revision 1.16  2002/02/17 05:00:50  kloczek
- release 3.

Revision 1.15  2002/02/16 14:04:54  ankry
- added summaries/descriptions from KSI/RH
- adapterized

Revision 1.14  2002/01/18 02:12:21  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2002/01/03 05:34:25  kloczek
- release 2: mod_perl-common added to Obsoletes for allow upgrade from MDK.

Revision 1.12  2001/07/16 01:04:43  kloczek
- updated to 1.26.

Revision 1.11  2001/07/16 00:07:06  qboosh
- removed Bundle::* - we use rpm dependencies
- release 5

Revision 1.10  2001/05/01 20:45:03  kloczek
- added apache(EAPI) to Prereq,
- added apache(EAPI)-devel to BuildRequires,
- use more macros,
- remove pod documentations,
- few celanups.

Revision 1.9  2001/04/17 12:04:03  baggins
- release 4
- rebuild with perl 5.6.1

Revision 1.8  2001/04/16 20:21:20  baggins
- release 3
- fixed pre/post scripts
- put documentation in proper place

Revision 1.7  2001/04/14 18:00:03  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.6  2001/04/11 02:38:49  baggins
- release 2
- proper (at least compiling :) ipv6 patch

Revision 1.5  2001/03/29 08:57:28  mis
- autoupdated to 1.25

Revision 1.4  2001/01/09 17:16:32  baggins
- updated to 1.24_01

Revision 1.3  2000/06/09 07:54:39  kloczek
- more %{__make} macros.

Revision 1.2  2000/06/09 07:22:47  kloczek
- added using %{__make} macro.

Revision 1.1  2000/05/18 20:46:28  bonkey
- added post and preun scripts with apxs installation of module

Revision 1.6  2000/05/18 18:50:35  bonkey
- upgraded to 1.24
- apache-perl-IPV6.patch turned off due to compilation problems

Revision 1.5  2000/04/05 11:54:17  bonkey
- updated to 1.22
- correction in url
- problems with building? apache 1.3.12

Revision 1.4  2000/04/01 11:14:54  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.2  1999/11/08 15:54:32  pius
- added missing CVS tag on top of spec
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules
- added pl translation
- simplifications in %install
- added gzipping documentation
- added missing files
- other small changes
- release++

Revision 1.1  1999/08/02 12:52:51  misiek
- renamed to mod_perl

Revision 1.5  1999/07/20 12:48:05  wiget
- switch to rpm 3.0.2

Revision 1.4  1999/07/20 12:31:35  wiget
- more BuildPreReq:

Revision 1.3  1999/07/13 11:34:26  wiget
- rewrite to PLD style

Revision 1.2  1999/07/12 23:05:52  kloczek
- added using CVS keywords in %changelog (for automating them).
- based on spec file from RH
